public sealed class InstantSnapshotGroup : IMessage<InstantSnapshotGroup>, IEquatable<InstantSnapshotGroup>, IDeepCloneable<InstantSnapshotGroup>, IBufferMessage, IMessageReference documentation and code samples for the Compute Engine v1 API class InstantSnapshotGroup.
Represents an InstantSnapshotGroup resource.
An instant snapshot group is a set of instant snapshots that represents a point in time state of a consistency group.
Implements
IMessageInstantSnapshotGroup, IEquatableInstantSnapshotGroup, IDeepCloneableInstantSnapshotGroup, IBufferMessage, IMessageNamespace
Google.Cloud.Compute.V1Assembly
Google.Cloud.Compute.V1.dll
Constructors
InstantSnapshotGroup()
public InstantSnapshotGroup()InstantSnapshotGroup(InstantSnapshotGroup)
public InstantSnapshotGroup(InstantSnapshotGroup other)| Parameter | |
|---|---|
| Name | Description |
other |
InstantSnapshotGroup |
Properties
CreationTimestamp
public string CreationTimestamp { get; set; }Output only. [Output Only] Creation timestamp inRFC3339 text format.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Description
public string Description { get; set; }Optional. An optional description of this resource. Provide this property when you create the resource.
| Property Value | |
|---|---|
| Type | Description |
string |
|
HasCreationTimestamp
public bool HasCreationTimestamp { get; }Gets whether the "creation_timestamp" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasDescription
public bool HasDescription { get; }Gets whether the "description" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasId
public bool HasId { get; }Gets whether the "id" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasKind
public bool HasKind { get; }Gets whether the "kind" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasName
public bool HasName { get; }Gets whether the "name" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasRegion
public bool HasRegion { get; }Gets whether the "region" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasSelfLink
public bool HasSelfLink { get; }Gets whether the "self_link" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasSelfLinkWithId
public bool HasSelfLinkWithId { get; }Gets whether the "self_link_with_id" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasSourceConsistencyGroup
public bool HasSourceConsistencyGroup { get; }Gets whether the "source_consistency_group" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasStatus
public bool HasStatus { get; }Gets whether the "status" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasZone
public bool HasZone { get; }Gets whether the "zone" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
Id
public ulong Id { get; set; }Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server.
| Property Value | |
|---|---|
| Type | Description |
ulong |
|
Kind
public string Kind { get; set; }Output only. [Output Only] Type of the resource. Alwayscompute#instantSnapshotGroup for InstantSnapshotGroup resources.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Name
public string Name { get; set; }Identifier. Name of the resource; provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first
character must be a lowercase letter, and all following characters must be
a dash, lowercase letter, or digit, except the last character, which cannot
be a dash.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Region
public string Region { get; set; }Output only. [Output Only] URL of the region where the instant snapshot group resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
| Property Value | |
|---|---|
| Type | Description |
string |
|
ResourceStatus
public InstantSnapshotGroupResourceStatus ResourceStatus { get; set; }| Property Value | |
|---|---|
| Type | Description |
InstantSnapshotGroupResourceStatus |
|
SelfLink
public string SelfLink { get; set; }Output only. [Output Only] Server-defined URL for the resource.
| Property Value | |
|---|---|
| Type | Description |
string |
|
SelfLinkWithId
public string SelfLinkWithId { get; set; }Output only. [Output Only] Server-defined URL for this resource's resource id.
| Property Value | |
|---|---|
| Type | Description |
string |
|
SourceConsistencyGroup
public string SourceConsistencyGroup { get; set; }| Property Value | |
|---|---|
| Type | Description |
string |
|
Status
public string Status { get; set; }Output only. [Output Only] Check the Status enum for the list of possible values.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Zone
public string Zone { get; set; }Output only. [Output Only] URL of the zone where the instant snapshot group resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
| Property Value | |
|---|---|
| Type | Description |
string |
|